textures/base_floor/proto_grate3
{
	surfaceparm	metalsteps	
        surfaceparm trans		
	cull none
        nopicmip
	
	{
		map textures/base_floor/proto_grate3.tga
		
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_floor/rusty_pentagrate
{
	surfaceparm	metalsteps	
    surfaceparm trans		
    surfaceparm alphashadow

	cull none
    nopicmip
	
	{
		map textures/base_floor/rusty_pentagrate.tga
		
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_light/light1_1500
{
	qer_editorimage textures/base_light/light1.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 1500
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/light1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/light1.blend.tga
		
		blendfunc gl_one gl_one
	}
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodraw
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm 	nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
        
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/hint
{
qer_nocarve
qer_trans 0.30
surfaceparm nodraw
surfaceparm nonsolid
surfaceparm structural
surfaceparm trans
surfaceparm noimpact
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm	nomarks
	surfaceparm detail
	surfaceparm clusterportal
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
        surfaceparm nolightmap
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/ctf/ctf_tower_bluefin_shiny
{              
qer_editorimage textures/ctf/ctf_tower_bluefin.tga 
	{
		map $lightmap
		rgbgen identity
	}


        {
		map textures/ctf/ctf_tower_bluefin.tga
                blendfunc gl_dst_color gl_src_alpha
		alphagen lightingspecular
		rgbgen identity
	}

}

textures/ctf/ctf_tower_redfin_shiny
{              
qer_editorimage textures/ctf/ctf_tower_redfin.tga 
	{
		map $lightmap
		rgbgen identity
	}


        {
		map textures/ctf/ctf_tower_redfin.tga
                blendfunc gl_dst_color gl_src_alpha
		alphagen lightingspecular
		rgbgen identity
	}

}

flareshader
{
	cull none
	{
		map gfx/misc/flare.tga
		blendfunc gl_one gl_one
		rgbgen vertex
	}
}

textures/gothic_block/largerblock3blood
{

        {
		map textures/liquids/proto_grueldark2.tga
                blendfunc gl_one gl_zero
                tcmod scale 2 2
                tcmod scroll .01 .03
                tcmod turb 0 0.05 0 .05
        }
        {
		map textures/effects/tinfx3.tga
                blendfunc gl_one gl_one
                tcgen environment
        }
       
	{
	        map textures/gothic_block/largerblock3blood.tga
		blendfunc blend
	        rgbgen identity
	}
        {
		map $lightmap
                blendfunc filter
		rgbgen identity
	}
}

textures/gothic_block/blocks18b_ow
{

        {
		map textures/sfx/firegorre.tga
                tcmod scroll 0 1
                tcmod turb 0 .25 0 5.6
                tcmod scale 1.5 1.5
                blendfunc gl_one gl_zero
                rgbgen identity
	}
       
	{
	        map textures/gothic_block/blocks18b_ow.tga
		blendfunc blend
	        rgbgen identity
	}
        {
		map $lightmap
                blendfunc filter
		rgbgen identity
	}
}

textures/gothic_block/wetwall
{
	
        {
	        map textures/gothic_block/wetwall.tga
	        rgbgen identity
	}
        {
		map textures/gothic_block/wetwallfx.tga
                tcmod scroll 0 -.1
                tcmod scale 2 .6
                blendfunc gl_one gl_one
                rgbgen identity
	}
	{
	        map textures/gothic_block/wetwall.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	        rgbgen identity
	}
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/gothic_floor/largerblock3b_ow
{

        {
		map textures/sfx/firegorre.tga
                tcmod scroll 0 1
                tcmod turb 0 .25 0 1.6
                tcmod scale 4 4
                blendfunc gl_one gl_zero
                rgbgen identity
	}
	{
	        map textures/gothic_floor/largerblock3b_ow.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	        rgbgen identity
	}
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/gothic_light/ironcrosslt2_1000
{
	qer_editorimage textures/gothic_light/ironcrosslt2.tga
	q3map_lightimage textures/gothic_light/ironcrosslt2.blend.tga
	q3map_surfacelight 1000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.blend.tga
		blendfunc gl_one gl_one
	}
}

models/mapobjects/baph/baphomet_gold
{      

        {
                map textures/sfx/firewalla.tga
                tcmod scroll 0.1 1
                rgbgen identity
	}  
        {
		map models/mapobjects/baph/baphomet_gold.tga
                blendfunc blend
		rgbgen vertex
	}
       
}

models/mapobjects/baph/baphomet
{      

        {
                map textures/sfx/firewalla.tga
                tcmod scroll 0.1 1
                rgbgen identity
	}  
        {
		map models/mapobjects/baph/baphomet.tga
                blendfunc blend
		rgbgen vertex
	}
       
}

models/mapobjects/skel/skel
{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/skel/skel.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
}

models/mapobjects/jesus/jesuswall
{
   deformvertexes wave 100 sin 0 .2 0 .2
   cull none         
        {
		map $lightmap
              	
	}
	{
		map models/mapobjects/jesus/jesuswall.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen vertex
		alphagen lightingspecular
	}


}

textures/sfx/beam
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        
	{
		map textures/sfx/beam.tga
                tcmod scroll .3 0
                blendfunc add
        }
        
	
        
        
        
     
}

textures/sfx/flame1side
{

	
	
	
	
	
	
		surfaceparm trans
		surfaceparm nomarks
		surfaceparm nonsolid
	
		surfaceparm nolightmap
		cull none

	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
		
	}	
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}	


	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6	
	}

}

textures/sfx/fog_q3dm10
{
qer_editorimage textures/sfx/fog_timdm1.tga
surfaceparm	trans
surfaceparm	nonsolid
surfaceparm	fog
surfaceparm	nolightmap

fogparms ( 0.75 0.38 0 ) 128
}

textures/classic2_0/sky5
{
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_lightimage textures/common/white.tga
	qer_editorimage textures/skies/intelredclouds.tga
	q3map_surfacelight 60
	q3map_sun	1 1 0.5 15 90 90


	skyparms - 512 -

	{
		map textures/skies/inteldimclouds.tga
		tcmod scroll 0.003 0.008
		tcmod scale 3 2
		depthwrite
	}
	{
		map textures/skies/intelredclouds.tga
		blendfunc gl_one gl_one
		tcmod scroll 0.005 0.012
		tcmod scale 3 3
	}
}

textures/classic2_0/q1teleporter
{
	qer_editorimage textures/classic2_0/q1teleporter.tga
	q3map_lightimage textures/classic2_0/q1teleporter.tga
	q3map_surfacelight 700
	surfaceparm noimpact
	surfaceparm nomarks
	cull disable
	{
		map textures/classic2_0/q1teleporter.tga
		rgbgen identity
		tcmod stretch sin 1 0.1 1 0.6 
		tcmod turb 1 0.5 0 0.1
	}
	{
		map textures/classic2_0/q1teleporter.tga
		blendfunc add
		rgbgen identity
		tcmod turb 1 0.5 0.3 0.1
	}
	{
		map textures/classic2_0/q1teleporter.tga
		blendfunc add
		rgbgen identity
		tcmod turb 1 0.5 0.8 0.1
	}
}

textures/classic2_0/slime_50
{
	
		qer_editorimage textures/liquids/slime7.tga
		q3map_lightimage textures/liquids/slime7.tga
		q3map_globaltexture
		qer_trans .5

		surfaceparm noimpact
		surfaceparm slime
		surfaceparm nolightmap
		surfaceparm trans		

		q3map_surfacelight 50
		tesssize 32
		cull disable

		deformvertexes wave 100 sin 0 1 .5 .5

		{
			map textures/liquids/slime7c.tga
			tcmod turb .3 .2 1 .05
			tcmod scroll .01 .01
		}
	
		{
			map textures/liquids/slime7.tga
			blendfunc gl_one gl_one
			tcmod turb .2 .1 1 .05
			tcmod scale .5 .5
			tcmod scroll .01 .01
		}

		{
			map textures/liquids/bubbles.tga
			blendfunc gl_zero gl_src_color
			tcmod turb .2 .1 .1 .2
			tcmod scale .05 .05
			tcmod scroll .001 .001
		}		

	}

textures/classic2_0/manse_water
{

		qer_editorimage textures/classic2_0/pool3d_5b.tga
		q3map_globaltexture
		qer_trans .75

		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm nolightmap
		q3map_surfacelight 50

		cull disable
		tesssize 64
		deformvertexes wave 100 sin 1 1 1 .1
	
		{ 
			map textures/liquids/pool3d_5c2.tga
			blendfunc gl_dst_color gl_zero
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
		{ 
			map textures/liquids/pool3d_3c2.tga
			blendfunc gl_dst_color gl_zero
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
		{
			map textures/liquids/pool3d_4b2.tga
			blendfunc add
			tcmod scale .125 .125	
			rgbgen identity
		}

	}

textures/classic2_0/bounce_neutral_nolight
{
	qer_editorimage textures/ctf_unified/qer_bounce.tga
	q3map_lightimage textures/ctf_unified/bounce_fx.tga
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans

	{
		map textures/ctf_unified/bounce_base.tga
		rgbgen identity
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		depthfunc equal
	}
	{
		map textures/ctf_unified/bounce_glow.tga
		blendfunc add
		rgbgen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/ctf_unified/bounce_fx.tga
		blendfunc add
		tcmod stretch sin 1.2 0.8 0 1.5
		rgbgen wave square 0.5 0.5 0.25 1.5
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/classic2_0/ironcrossltblue_3000
{
	qer_editorimage textures/classic2_0/ironcrossltblue.tga
	q3map_lightimage textures/classic2_0/ironcrossltblue.blend.tga
	q3map_surfacelight 3000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/classic2_0/ironcrossltblue.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/classic2_0/ironcrossltblue.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/ctf_unified/bounce_neutral
{
	qer_editorimage textures/ctf_unified/qer_bounce.tga
	q3map_lightimage textures/ctf_unified/bounce_fx.tga
	q3map_surfacelight 400
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans

	{
		map textures/ctf_unified/bounce_base.tga
		rgbgen identity
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		depthfunc equal
	}
	{
		map textures/ctf_unified/bounce_glow.tga
		blendfunc add
		rgbgen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/ctf_unified/bounce_fx.tga
		blendfunc add
		tcmod stretch sin 1.2 0.8 0 1.5
		rgbgen wave square 0.5 0.5 0.25 1.5
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf_unified/pentfloor_blue
{
	qer_editorimage textures/ctf_unified/qer_pentfloor_blue.tga
	surfaceparm nomarks
	surfaceparm trans

	{
		map textures/ctf_unified/pentfloor_base.tga
		rgbgen identity
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		depthfunc equal
	}
	{
		map textures/ctf_unified/pent_glow_blue.tga
		blendfunc add
		rgbgen wave sin 0.4 0.2 0 0.2
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf_unified/pentfloor_red
{
	qer_editorimage textures/ctf_unified/qer_pentfloor_red.tga
	surfaceparm nomarks
	surfaceparm trans

	{
		map textures/ctf_unified/pentfloor_base.tga
		rgbgen identity
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		depthfunc equal
	}
	{
		map textures/ctf_unified/pent_glow_red.tga
		blendfunc add
		rgbgen wave sin 0.4 0.2 0 0.2
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf_unified/weapfloor_blue
{
	qer_editorimage textures/ctf_unified/qer_weapfloor_blue.tga
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans

	{
		clampmap textures/ctf_unified/weapfloor_fx_blue.tga
		rgbgen wave sin 0.9 0.2 0 0.7
		tcmod rotate 180
		depthwrite
		alphafunc ge128
	}
	{
		map textures/ctf_unified/weapfloor_1.tga
		blendfunc blend
		rgbgen identity
		depthfunc equal
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
		depthfunc equal
	}
	{
		map textures/ctf_unified/weapfloor_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf_unified/weapfloor_red
{
	qer_editorimage textures/ctf_unified/qer_weapfloor_red.tga
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans

	{
		clampmap textures/ctf_unified/weapfloor_fx_red.tga
		rgbgen wave sin 0.9 0.2 0 0.7
		tcmod rotate 180
		depthwrite
		alphafunc ge128
	}
	{
		map textures/ctf_unified/weapfloor_1.tga
		blendfunc blend
		rgbgen identity
		depthfunc equal
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
		depthfunc equal
	}
	{
		map textures/ctf_unified/weapfloor_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf_unified/banner01_blue
{
	qer_editorimage textures/ctf_unified/banner01_blue.tga
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	cull none
	tesssize 64
	deformvertexes wave 194 sin 0 3 0 .4
	deformvertexes normal .3 .2

	{
		map textures/ctf_unified/banner01_blue.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map textures/sfx/shadow.tga
		tcgen environment
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf_unified/banner01_red
{
	qer_editorimage textures/ctf_unified/banner01_red.tga
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	cull none
	tesssize 64
	deformvertexes wave 194 sin 0 3 0 .4
	deformvertexes normal .3 .2

	{
		map textures/ctf_unified/banner01_red.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map textures/sfx/shadow.tga
		tcgen environment
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf_unified/direction_blue
{    
	surfaceparm nomarks   
	surfaceparm trans
	surfaceparm pointlight
   
	{
		map textures/ctf_unified/direction_blue.tga
                blendfunc add
		rgbgen vertex
	}
}

textures/ctf_unified/direction_red
{    
	surfaceparm nomarks 
	surfaceparm trans  
	surfaceparm pointlight
        
	{
		map textures/ctf_unified/direction_red.tga
                blendfunc add
		rgbgen vertex
	}
}

textures/ctf_unified/ta_techspawn_blue
{
	qer_editorimage textures/ctf_unified/qer_tech_blue.tga
	surfaceparm nonsolid

	{
		clampmap textures/ctf_unified/tech_fx_blue.tga
		rgbgen identity
		tcmod rotate 222
	}
	{
		clampmap textures/ctf_unified/tech.tga
		blendfunc gl_one gl_one_minus_src_alpha
		rgbgen vertex
	}
}

textures/ctf_unified/ta_techspawn_red
{
	qer_editorimage textures/ctf_unified/qer_tech_red.tga
	surfaceparm nonsolid

	{
		clampmap textures/ctf_unified/tech_fx_red.tga
		rgbgen identity
		tcmod rotate 222
	}
	{
		clampmap textures/ctf_unified/tech.tga
		blendfunc blend
		rgbgen vertex
	}
}

